---
title: Create a sending domain restriction
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Email Security](https://developers.cloudflare.com/api/python/resources/email_security)

[Settings](https://developers.cloudflare.com/api/python/resources/email_security/subresources/settings)

[Sending Domain Restrictions](https://developers.cloudflare.com/api/python/resources/email_security/subresources/settings/subresources/sending_domain_restrictions)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create a sending domain restriction

email\_security.settings.sending\_domain\_restrictions.create(SendingDomainRestrictionCreateParams\*\*kwargs) -> [SendingDomainRestrictionCreateResponse](<https://developers.cloudflare.com/api/python/resources/email_security#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/email-security/settings/sending\_domain\_restrictions

Creates a new sending domain restriction to enforce TLS requirements for a domain. Emails without TLS from this domain will be dropped unless the subdomain is in the exclude list.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Cloud Email Security: Write`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

domain: str

Domain that requires TLS enforcement.

[Link to this property](<#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20domain%20%3E%20(schema)>)

exclude: Sequence\[str]

Subdomains to exempt from TLS requirements.

[Link to this property](<#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20exclude%20%3E%20(schema)>)

comments: Optional\[str]

maxLength1024

[Link to this property](<#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20comments%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class SendingDomainRestrictionCreateResponse: …

A sending domain restriction that enforces TLS (Transport Layer Security) requirements for emails from specific domains. If TLS is required, the system drops mail without TLS from the specified domain.

</summary>

id: Optional\[str]

Sending domain restriction identifier.

formatuuid

<a href="#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

comments: Optional\[str]

maxLength1024

<a href="#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)%20%3E%20(property)%20comments">Link to this property</a>

created\_at: Optional\[datetime]

formatdate-time

<a href="#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)%20%3E%20(property)%20created_at">Link to this property</a>

domain: Optional\[str]

Domain that requires TLS enforcement.

<a href="#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)%20%3E%20(property)%20domain">Link to this property</a>

exclude: Optional\[List\[str]]

Subdomains to exempt from TLS requirements.

<a href="#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)%20%3E%20(property)%20exclude">Link to this property</a>

Deprecatedlast\_modified: Optional\[datetime]

Use <code>modified_at</code> instead.

Deprecated, use <code>modified_at</code> instead. End of life: November 1, 2026.

formatdate-time

<a href="#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)%20%3E%20(property)%20last_modified">Link to this property</a>

modified\_at: Optional\[datetime]

formatdate-time

<a href="#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)%20%3E%20(property)%20modified_at">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_security.settings.sending_domain_restrictions%20%3E%20(model)%20sending_domain_restriction_create_response%20%3E%20(schema)>)

### Create a sending domain restriction

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
sending_domain_restriction = client.email_security.settings.sending_domain_restrictions.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    domain="example.com",
    exclude=["subdomain.example.com"],
)
print(sending_domain_restriction.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "comments": "Enforce TLS for all mail from this domain",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "domain": "example.com",
    "exclude": [
      "subdomain.example.com"
    ],
    "last_modified": "2014-01-01T05:20:00.12345Z",
    "modified_at": "2014-01-01T05:20:00.12345Z"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "comments": "Enforce TLS for all mail from this domain",
    "created_at": "2014-01-01T05:20:00.12345Z",
    "domain": "example.com",
    "exclude": [
      "subdomain.example.com"
    ],
    "last_modified": "2014-01-01T05:20:00.12345Z",
    "modified_at": "2014-01-01T05:20:00.12345Z"
  }
}
```